Opened 3 years ago

Closed 3 years ago

#549 closed enhancement (fixed)

Enable getting rasdaman version in a select query

Reported by: dmisev Owned by: pbaumann
Priority: minor Milestone: 9.0
Component: manuals_and_examples Version: development
Keywords: Cc: pcampalani, pbaumann, abeccati
Complexity: Medium

Description

PostgreSQL has SELECT VERSION(), would be good to have this in rasdaman too.

Besides the version, in postgres also the gcc version that was used to compile is printed, which is also very useful info.

petascopedb=# select version();
                                                  version                                                   
------------------------------------------------------------------------------------------------------------
 PostgreSQL 9.1.6 on x86_64-unknown-linux-gnu, compiled by gcc (Ubuntu/Linaro 4.7.2-2ubuntu1) 4.7.2, 64-bit
(1 row)

Change History (3)

comment:1 Changed 3 years ago by dmisev

In rasql we'd have something like this with the patch:

$ rasql -q 'select version()' --out string
rasql: rasdaman query tool v1.0, rasdaman v9.0.0beta1-g46356fc -- generated on 15.11.2013 11:15:52.
opening database RASBASE at localhost:7001...ok
Executing retrieval query...ok
Query result collection has 1 element(s):
  Result object 1: rasdaman v9.0.0beta1-g46356fc on x86_64-linux-gnu, compiled by gcc (Ubuntu/Linaro 4.7.2-2ubuntu1) 4.7.2
rasql done.

comment:2 Changed 3 years ago by dmisev

  • Component changed from qlparser to manuals_and_examples
  • Owner changed from dmisev to pbaumann
  • Status changed from new to assigned

Implemented in changeset:fc2eca215d1257528a606ef1b17655cee40d58fb

I change to Peter, as it should be documented in the manual I believe.

comment:3 Changed 3 years ago by pbaumann

  • Resolution set to fixed
  • Status changed from assigned to closed

done (QL Guide, Section 9.12), so closing.

Note: See TracTickets for help on using tickets.